<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Handler_XMLCreator extends Controller_Handler
{
    // Таблица баллов (со страницы оценивания) [dev version]
    public function action_GenerateXMLFile() {
        $discipline = Model_Discipline::load($this->post['disciplineID']);
        $groupID = $this->post['studyGroupID'];

        $stage = 1; // TODO: user should provide stage

        $document = Twig::factory('pdf/xmlRate', [
            'Teachers' => $discipline->getTeachers(),
            'Info'     => Model_Rating::getFinalFormInfo($discipline->ID, $groupID),
            'Rates'    => Model_Rating::getRatesForStudentsGroupByStage($discipline->ID, $groupID, $stage),
        ]);

        $options = [
            'mime_type' => File::mime_by_ext('xml'),
            'delete'    => true
        ];

        // todo: add some extra headers to download file
        // https://tournasdimitrios1.wordpress.com/2012/01/10/how-to-make-files-downloadable-with-php/

        $this->response->headers($options)->body((string) $document);
    }
}