<?php defined('SYSPATH') or die('No direct script access.');

abstract class Controller_Environment_User extends Controller
{
    /** @var  Twig */
    protected $twig;

    /** @var User */
    protected $user;


    public function before() {
        // Check access to the page
        $this->user = User::instance();
        if (!$this->user->isSignedIn()) {
            $this->redirect('sign', 302);
            return;
        }

        $this->twig = Twig::factory();
        $this->twig->bind_global('User', $this->user);
    }

    public function after() {
        $this->response->body($this->twig);
    }
}
